%define _unpackaged_files_terminate_build 1

Name: alterator-interface-edition
Version: 0.1.5
Release: alt3

Summary: Alterator interface for edition
License: GPLv2+
Group: System/Configuration/Other
URL: https://gitlab.basealt.space/alt/alterator-interface-edition

BuildArch: noarch
Source: %name-%version.tar

BuildRequires(pre): rpm-macros-alterator

%description
%summary.

%package -n alterator-backend-edition
Summary: Alterator backend for edition
Group: System/Configuration/Other

BuildRequires: python3-devel

Requires: alterator-interface-edition
Requires: alterator-module-executor >= 0.1.19
Requires: alterator-entry >= 0.2.0
Requires: distro-licenses
Requires: dconf

%description -n alterator-backend-edition
%summary.

%prep
%setup

%install
mkdir -p %buildroot%_datadir/dbus-1/interfaces
mkdir -p %buildroot%_datadir/polkit-1/actions
mkdir -p %buildroot%_datadir/glib-2.0/schemas
mkdir -p %buildroot%_libexecdir/alterator-interface-edition
mkdir -p %buildroot%_libexecdir/alterator-backend-edition
mkdir -p %buildroot%_alterator_datadir/backends

install -v -p -m 644 -D org.altlinux.alterator.edition.xml %buildroot%_datadir/dbus-1/interfaces
install -v -p -m 644 -D org.altlinux.alterator.edition.policy %buildroot%_datadir/polkit-1/actions
install -v -p -m 644 -D org.altlinux.alterator.edition.gschema.xml %buildroot%_datadir/glib-2.0/schemas

install -v -p -m 644 -D org.altlinux.alterator.current-edition.xml %buildroot%_datadir/dbus-1/interfaces
install -v -p -m 644 -D org.altlinux.alterator.current-edition.policy %buildroot%_datadir/polkit-1/actions

mkdir -p %buildroot%_libexecdir/alterator-backend-edition
install -v -p -m 755 -D edition_helper.py %buildroot%_libexecdir/alterator-backend-edition
install -v -p -m 755 -D current_edition_helper.py %buildroot%_libexecdir/alterator-backend-edition

install -v -p -m 644 -D current_edition.backend %buildroot%_alterator_datadir/backends

install -v -p -m 755 -D alterator-backend-edition.filetrigger %buildroot%_rpmlibdir/10-alterator-backend-edition.filetrigger
install -v -p -m 755 -D generate-editions-backends %buildroot%_libexecdir/alterator-backend-edition/

%files
%dir %_datadir/dbus-1
%dir %_datadir/dbus-1/interfaces
%dir %_datadir/polkit-1
%dir %_datadir/polkit-1/actions
%dir %_datadir/glib-2.0
%dir %_datadir/glib-2.0/schemas
%dir %_libexecdir/alterator-interface-edition
%_datadir/dbus-1/interfaces/*.xml
%_datadir/polkit-1/actions/*.policy
%_datadir/glib-2.0/schemas/org.altlinux.alterator.edition.gschema.xml

%files -n alterator-backend-edition
%dir %_alterator_datadir/backends
%_alterator_datadir/backends/current_edition.backend
%_libexecdir/alterator-backend-edition
%_rpmlibdir/10-alterator-backend-edition.filetrigger

%post -n alterator-backend-edition
%_libexecdir/alterator-backend-edition/generate-editions-backends

%preun -n alterator-backend-edition
if [ $1 = 0 ]; then
    find %_sysconfdir/alterator/backends -name "autogenerated-edition-*.backend" -type f -delete
fi

%changelog
* Sat Mar 29 2025 Evgeny Sinelnikov <sin@altlinux.org> 0.1.5-alt3
- Avoid to try-restart alterator-manager.service due new release supported
  dynamic restart based on inotify.

* Fri Mar 14 2025 Michael Chernigin <chernigin@altlinux.org> 0.1.5-alt2
- Add dconf to requires.

* Fri Mar 14 2025 Michael Chernigin <chernigin@altlinux.org> 0.1.5-alt1
- Fix painfully slow filetrigger.

* Thu Mar 13 2025 Michael Chernigin <chernigin@altlinux.org> 0.1.4-alt1
- Move dconf edition key to /org/altlinux/product/edition/current.
- Use dconf compile instead of dconf update.

* Thu Mar 13 2025 Michael Chernigin <chernigin@altlinux.org> 0.1.3-alt1
- In filetrigger remove backends for removed .edition files

* Sat Mar 08 2025 Evgeny Sinelnikov <sin@altlinux.org> 0.1.2-alt1
- feat: add fallback to legacy license directory for current edition.

* Tue Feb 25 2025 Michael Chernigin <chernigin@altlinux.org> 0.1.1-alt3
- Add missing distro-licenses dependency to backend.
- Add env variables to backends for alterator-manager.

* Thu Feb 20 2025 Michael Chernigin <chernigin@altlinux.org> 0.1.1-alt2
- Fix extra edition_ in generated backend names.
- Declare used LC_ALL environment variable in backend (thx Andrey Alekseev).

* Tue Feb 04 2025 Michael Chernigin <chernigin@altlinux.org> 0.1.1-alt1
- Return optional from get_edition_file.
- Refactor argparse to use functions.

* Fri Jan 10 2025 Michael Chernigin <chernigin@altlinux.org> 0.1.0-alt1
- Initial build.
